# Class GwasCatalogEntry

java.lang.Object
org.snpsift.gwasCatalog.GwasCatalogEntry

public class GwasCatalogEntry extends Object
Entry from a GWAS-catalog References: http://www.genome.gov/gwastudies/#download http://www.genome.gov/Pages/About/OD/OPG/GWAS%20Catalog/Tab_delimited_column_descriptions_09_27.pdf

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`chrId`
`int`
`chrPos`
`String`
`ci95`
`String`
`cnv`
`String`
`context`
`String`
`date`
`String`
`dateAddedtoCatalog`
`String`
`downstreamGeneDistance`
`String`
`downstreamGeneId`
`String`
`firstAuthor`
`String`
`initialSampleSize`
`String`
`intergenic`
`String`
`journal`
`String`
`link`
`String`
`mappedGene`
`String`
`mappedTrait`
`String`
`mappedTraitUri`
`String`
`merged`
`String`
`orBeta`
`String`
`platform`
`String`
`pubmedId`
`double`
`pValue`
`String`
`pValueMlog`
`String`
`pValueText`
`String`
`region`
`String`
`replicationSampleSize`
`String`
`reportedGene`
`String`
`riskAllele`
`String`
`riskAlleleFrequency`
`String`
`snpGeneIds`
`String`
`snpIdCurrent`
`String`
`snps`
`String`
`study`
`String`
`trait`
`String`
`upstreamGeneDistance`
`String`
`upstreamGeneId`

## Constructor Summary

Constructors
Constructor
Description
`GwasCatalogEntry()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTraitCode()`
Trait as a 'code' (only alpha-num chars)
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dateAddedtoCatalog

public String dateAddedtoCatalog

### pubmedId

public String pubmedId

### firstAuthor

public String firstAuthor

### date

public String date

### journal

public String journal

### link

public String link

### study

public String study

### trait

public String trait

### initialSampleSize

public String initialSampleSize

### replicationSampleSize

public String replicationSampleSize

### region

public String region

### chrId

public String chrId

### chrPos

public int chrPos

### reportedGene

public String reportedGene

### mappedGene

public String mappedGene

### upstreamGeneId

public String upstreamGeneId

### downstreamGeneId

public String downstreamGeneId

### snpGeneIds

public String snpGeneIds

### upstreamGeneDistance

public String upstreamGeneDistance

### downstreamGeneDistance

public String downstreamGeneDistance

### riskAllele

public String riskAllele

### snps

public String snps

### merged

public String merged

### snpIdCurrent

public String snpIdCurrent

### context

public String context

### intergenic

public String intergenic

### riskAlleleFrequency

public String riskAlleleFrequency

### pValue

public double pValue

### pValueMlog

public String pValueMlog

### pValueText

public String pValueText

### orBeta

public String orBeta

### ci95

public String ci95

### platform

public String platform

### cnv

public String cnv

### mappedTrait

public String mappedTrait

### mappedTraitUri

public String mappedTraitUri

## Constructor Details

### GwasCatalogEntry

public GwasCatalogEntry()

## Method Details

### getTraitCode

public String getTraitCode()
Trait as a 'code' (only alpha-num chars)

### toString

public String toString()

Overrides:
  `toString` in class `Object`